17 posts / 0 new / Last post
#1  December 1, 2010 - 2:03pm
erwinm.7311's picture
Offline
Joined: Sep 2010
Posts: 2
Kudos: 0

So I followed the instructions on how to create a custom firmware to use on the Apple TV. I even got as far as getting the Pwnage Tool to open iTunes to restore the device. The process comes to a stop during the restore when I get a message that says the firmware is not compatible with the Apple TV. What, if anything, am I doing wrong? I am running the latest version of iTunes and it did download the latest version of the firmware to create the custom firmware with. Thanks.

  December 1, 2010 - 2:15pm
duncanh.017103's picture
Offline
Joined: Dec 2010
Posts: 3
Kudos: 0

Same here, Pwnage creates the custom firmware, with the AppleTV in DFU mode in iTunes I select the IPSW and iTunes tries to verify the restore and fails saying its not suitable for the device.

  December 1, 2010 - 2:16pm
thorstenh.991053's picture
Offline
Joined: Dec 2010
Posts: 1
Kudos: 0

same here.

  December 1, 2010 - 2:19pm (Reply to #3)
russman's picture
Offline
Joined: Dec 2010
Posts: 7
Kudos: 0

pwn group didn´t release yet software for 4.2.1 apple tv update, we need to wait with jailbreaking, this atv beta version is actual just for users with factory apple tv firmware (4.0 or 4.1)

  December 1, 2010 - 2:29pm (Reply to #4)
duncanh.017103's picture
Offline
Joined: Dec 2010
Posts: 3
Kudos: 0

Thanks thats what I just discovered, I'm running 4.1 did try limera1n but this has worked either.

  December 1, 2010 - 2:43pm (Reply to #5)
erwinm.7311's picture
Offline
Joined: Sep 2010
Posts: 2
Kudos: 0

i just noticed that as well. I ran the firmware restore in iTunes just to see what file it would download from the server and sure enough, it was a different file than the one Pwnage Tool downloaded. Hopefully, they will update this soon.

  December 2, 2010 - 7:20am
dicx.2139's picture
Offline
Joined: Nov 2010
Posts: 23
Kudos: 0

The problem is that this beta only works with 4.1. There is no jailbreak yet for 4.2.1. Compunding the issues is if you did NOT jailbreak your ATV when it was 4.1 and saved your SHSH blobs with Tiny Umbrella, there is no way to go back to 4.1, Apple is not activating restores with 4.1 anymore.

 

Bad timing on this beta release since most of us went to 4.2.1 to try out Airplay.

  December 2, 2010 - 7:48am (Reply to #7)
alekc.1764's picture
Offline
Joined: Oct 2010
Posts: 44
Kudos: 0

The file itunes download for me was: AppleTV2,1_4.1_8M89_Restore

But I still got the same problem, restoring the new customised firmware give me errors.

 

any clue?

 

Alek

  December 2, 2010 - 7:58am
RobertH's picture
Offline
Joined: Dec 2010
Posts: 58
Kudos: 0

last week, when appletv started to ask you if you wanted to update, did you? if so, you are SOL until the dev team releases a pwnage tool for 4.2.1. sorry, i dont think firecore knew very much about "jailbreaking" since this is the first device they had to do it on. but, i am sure all will be fixed soon.

 

if you did NOT accept the update, and you are still on 4.0, or 4.1 ipsw. then try restoring the same way you did to the custom FW, but navigate to library>itunes>appletv software updates> and select the ORIGINAL 4.1 FW, not the new one!!! (although, you may not have it, unless you download it yourself) i was having problems restoring to a JBed FW, from a JBed FW (i needed to because the package would not find my appletv). i had to restore to a stock FW, then re-build the custom one, put it into DFU, and then restore to the custom one. once i did all of that, everything went smoothly.

  December 2, 2010 - 9:20am (Reply to #9)
alekc.1764's picture
Offline
Joined: Oct 2010
Posts: 44
Kudos: 0

I got version 4.1 installed as seen on about section of the ATV2.

If I click update on the ATV2 it says my software is up to date.

 

Didn't work for me either

  December 2, 2010 - 9:22am (Reply to #10)
RobertH's picture
Offline
Joined: Dec 2010
Posts: 58
Kudos: 0

then yes, you have to wait. on you atv it says 4.1, but it in actually 4.2.1 for the ipsw file. sorry...

  December 2, 2010 - 9:47am (Reply to #11)
alekc.1764's picture
Offline
Joined: Oct 2010
Posts: 44
Kudos: 0

No worries anyway the ATV Flash is in beta and it doesn't has the streaming avi film feature that I need so I could wait.

Just wonder if it will also read subtitles from .srt files

  December 2, 2010 - 9:50am (Reply to #12)
RobertH's picture
Offline
Joined: Dec 2010
Posts: 58
Kudos: 0

PLEX does stream avis, but i dont know about the subs.

  December 2, 2010 - 10:18am (Reply to #13)
alekc.1764's picture
Offline
Joined: Oct 2010
Posts: 44
Kudos: 0

But I still have to jailbreak the ATV2 to install PLEX I suppose

  December 2, 2010 - 10:56am (Reply to #14)
RobertH's picture
Offline
Joined: Dec 2010
Posts: 58
Kudos: 0

yes.

  December 11, 2010 - 1:13pm
micahk.02455's picture
Offline
Joined: Dec 2010
Posts: 1
Kudos: 0

This makes me so sad  :(… i thought i was going to get to play today and i cant. ARRRRRRRGGGGGG! Lame, haha

  December 11, 2010 - 1:47pm (Reply to #16)
richardg.73991's picture
Offline
Joined: Dec 2010
Posts: 2
Kudos: 0

In summary it sounds like anybody that has 4.2 will need to wait for pwnage to update?  Will that be noted anytime on the Firecore updates/news?

I have exact problem as above.

 

Thanks-Rich